module Main where

import qualified Test.MathObj.Gaussian.Polynomial as GaussPoly
import qualified Test.MathObj.Gaussian.Variance as GaussVariance
import qualified Test.MathObj.Gaussian.Bell as GaussBell
import qualified Test.MathObj.PartialFraction as PartialFraction
import qualified Test.MathObj.Polynomial  as Polynomial
import qualified Test.MathObj.PowerSeries as PowerSeries
import qualified Test.HUnit.Text as HUnitText
import qualified Test.HUnit as HUnit

main :: IO ()
main =
   do HUnitText.runTestTT (HUnit.TestList $
         GaussVariance.tests :
         GaussBell.tests :
         GaussPoly.tests :
         PartialFraction.tests :
         Polynomial.tests :
         PowerSeries.tests :
         [])
      return ()
